org.apache.struts2.junit

## Class XWorkJUnit4TestCase

- java.lang.Object
- - org.apache.struts2.junit.XWorkJUnit4TestCase

- Direct Known Subclasses:
    StrutsJUnit4TestCase

      public abstract class XWorkJUnit4TestCase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActionProxyFactory` | `actionProxyFactory`
    `protected Configuration` | `configuration`
    `protected ConfigurationManager` | `configurationManager`
    `protected Container` | `container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkJUnit4TestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `loadButAdd(Class<?> type, Object impl)`
    `protected void` | `loadButAdd(Class<?> type, String name, Object impl)`
    `protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
    `void` | `setUp()`
    `void` | `tearDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configurationManager

          protected ConfigurationManager configurationManager

    - #### configuration

          protected Configuration configuration

    - #### container

          protected Container container

    - #### actionProxyFactory

          protected ActionProxyFactory actionProxyFactory

  - ### Constructor Detail

    - #### XWorkJUnit4TestCase

          public XWorkJUnit4TestCase()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### loadConfigurationProviders

          protected void loadConfigurationProviders(ConfigurationProvider... providers)

    - #### loadButAdd

          protected void loadButAdd(Class<?> type,
                                    Object impl)

    - #### loadButAdd

          protected void loadButAdd(Class<?> type,
                                    String name,
                                    Object impl)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.